Name:          opendict
Summary:       Open-source multiplatform computer dictionary software
Version:       0.6.7
Release:       %mkrel 1
License:       GPLv2
Group:         Office/Dictionary
Url:           http://sourceforge.net/projects/%{name}
Source0:       https://sourceforge.net/projects/opendict/files/%{name}-%{version}.tar.gz
BuildArch:     noarch
Requires:      python >= 2.7.1
Requires:      wxPython >= 3.0
Recommends:    festival

%description
OpenDict is open-source multiplatform computer dictionary software. Supported
dictionary formats include:
* DICT
* Slowo
* Mova
* LingvoSoft
* Plugin dictionaries

OpenDict has a built-in DICT client, so you can use it to connect to large
databases (like dict.org).

If your company (or you) is going to develop a dictionary (simple or very
complex), then OpenDict is ready to use platform for any dictionary, because it
supports Plugin dictionaries that can be developed to act the way you wish.

%prep
%setup -q
%autopatch -p1

#fix incorrect update locales (https://sourceforge.net/p/opendict/bugs/22)
#pot file was updated in upstream manually by author, but bug was not fixed
rm -f po/%{name}.pot

%build
#nothing

%install
%make_install DESTDIR=%{buildroot}%{_prefix}
install -m 755 scripts/%{name}-festival-pulseaudio.sh %{buildroot}%{_bindir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS.txt README.txt TODO.txt doc/Plugin-HOWTO.html
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Sep 27 2016 daviddavid <daviddavid> 0.6.7-1.mga6
+ Revision: 1057150
- new version: 0.6.7
- remove merged upstream patches

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 12 2015 alexl <alexl> 0.6.6-1.mga6
+ Revision: 902947
- version 0.6.6
- add Keywords entry and remove Encoding entry to the desktop file
- manpage installation by Makefile
- del upstreamed patches

* Thu Nov 20 2014 wally <wally> 0.6.5-6.mga5
+ Revision: 797949
- add patch from Debian to switch to wxPython 3.0 (mga#14602)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.5-5.mga5
+ Revision: 742568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.5-4.mga5
+ Revision: 683205
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 13 2014 alexl <alexl> 0.6.5-3.mga5
+ Revision: 662281
- fixed summary (rpmlint)
- added new translations in desktop file (i18n-desktop.patch)

* Sat Apr 12 2014 alexl <alexl> 0.6.5-2.mga5
+ Revision: 613705
- update description
- version 0.6.5
- move patches, which are in upstream now
- return copying.html in program's directory (uses by program to show license)

* Sat Apr 12 2014 alexl <alexl> 0.6.4-3.mga5
+ Revision: 613607
- fix incorrect update locales

* Sat Apr 12 2014 alexl <alexl> 0.6.4-2.mga5
+ Revision: 613600
- pygettext is deprecated now, used xgettext (xgettext-instead-pygettext patch)
- added create-missing-directories patch
- added replace_string_exceptions patch
- used hicolor icons instead of pixmaps

* Wed Apr 09 2014 alexl <alexl> 0.6.4-1.mga5
+ Revision: 612976
- new version 0.6.4

* Mon Apr 07 2014 alexl <alexl> 0.6.3-1.mga5
+ Revision: 612794
- imported package opendict

